package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.TrsNameWordsTenant;

import java.util.List;

/**
 * 人名职务Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface TrsNameWordsTenantMapper
{
    /**
     * 查询人名职务
     * 
     * @param id 人名职务主键
     * @return 人名职务
     */
    public TrsNameWordsTenant selectTrsNameWordsById(Long id);

    /**
     * 查询人名职务列表
     * 
     * @param trsNameWords 人名职务
     * @return 人名职务集合
     */
    public List<TrsNameWordsTenant> selectTrsNameWordsList(TrsNameWordsTenant trsNameWords);

    /**
     * 新增人名职务
     * 
     * @param trsNameWords 人名职务
     * @return 结果
     */
    public int insertTrsNameWords(TrsNameWordsTenant trsNameWords);

    /**
     * 修改人名职务
     * 
     * @param trsNameWords 人名职务
     * @return 结果
     */
    public int updateTrsNameWords(TrsNameWordsTenant trsNameWords);

    /**
     * 删除人名职务
     * 
     * @param id 人名职务主键
     * @return 结果
     */
    public int deleteTrsNameWordsById(Long id);

    /**
     * 批量删除人名职务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsNameWordsByIds(String[] ids);

    List<TrsNameWordsTenant> selectTrsWordsListByErrorWord(String wrongWord);
}
